FROM {{ docker_image }}
MAINTAINER Aram H. "aram.ds@gmail.com"

ENV COMPOSER_ALLOW_SUPERUSER=1 \
COMPOSER_DISABLE_XDEBUG_WARN=1 \
PHPREDIS_VERSION=5.3.7
ENV LD_PRELOAD /usr/lib/preloadable_libiconv.so php
RUN cat /etc/os-release

RUN set -xe \
&& apk add --no-cache --virtual .build-deps tzdata $PHPIZE_DEPS \
&& apk add gnu-libiconv --update-cache \
&& cp /usr/share/zoneinfo/UTC /etc/localtime \
&& echo 'UTC' > /etc/localtime \
&& apk add --no-cache \
    openssl-dev \
    bash \
    freetype-dev \
    libpng-dev \
    libjpeg-turbo-dev \
    sqlite-dev \
    curl \
    curl-dev \
    libsodium-dev \
    icu-dev \
    libxml2-dev \
    recode-dev \
    libxslt-dev \
    git \
    postgresql-client \
    postgresql-dev \
    openssh-client \
{% if not isPHP72 and not isPHP73 and not isPHP74 and not isPHP80 %}
    libmcrypt-dev \
    libmcrypt \
{% endif %}
{% if isPHP73 or isPHP74 or isPHP80 %}
    libzip-dev \
{% endif %}
{% if isPHP74 or isPHP80 %}
    libgcrypt-dev \
    oniguruma-dev \
{% endif %}
&& apk --update --no-cache add grep \
{# if not isPHP80 #}
&& mkdir -p /usr/src/php/ext/redis \
&& curl -L https://github.com/phpredis/phpredis/archive/$PHPREDIS_VERSION.tar.gz | tar xvz -C /usr/src/php/ext/redis --strip 1 \
&& echo 'redis' >> /usr/src/php-available-exts \
{# endif #}
{% if not isPHP74 and not isPHP80 %}
&& docker-php-ext-configure gd --with-freetype-dir=/usr/include/ --with-png-dir=/usr/include/ --with-jpeg-dir=/usr/include/ \
{% else %}
&& docker-php-ext-configure gd --with-freetype=/usr/include/ --with-jpeg \
{% endif %}
&& docker-php-ext-install \
    gd \
    bcmath \
    opcache \
{#    iconv \#}
    mysqli \
    pdo \
    pdo_mysql \
    pdo_sqlite \
    pdo_pgsql \
    zip \
{#    xml \#}
    xsl \
    intl \
{% if not isPHP80 %}
    json \
{% endif %}
    mbstring \
{% if not isPHP74 and not isPHP80 %}{# hash is in core now #}
    hash \
{% endif %}
    curl \
{#    simplexml \#}
    soap \
{#    bcmath \#}
    redis \
{% if not isPHP72 and not isPHP73 and not isPHP74 and not isPHP80 %}
    mcrypt \
{% endif %}
{% if isPHP72 or isPHP73 or isPHP74 or isPHP80 %}
&& docker-php-ext-install sodium \
{% endif %}
&& apk del .build-deps \
&& rm -rf /tmp/* /var/cache/apk/*

{% block phpconfig %}
RUN echo "memory_limit = -1" > /usr/local/etc/php/conf.d/custom.ini \
&& echo "max_execution_time = -1" >> /usr/local/etc/php/conf.d/custom.ini \
&& echo "error_reporting=E_ALL" >> /usr/local/etc/php/conf.d/custom.ini \
&& echo "log_errors=On" >> /usr/local/etc/php/conf.d/custom.ini
{% endblock %}

RUN curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/local/bin --filename=composer
#RUN composer global require hirak/prestissimo --no-plugins --no-scripts
RUN php -v
RUN php -m

{% block footer %}

{% endblock %}

